Package org.pushingpixels.trident.swt

# Class SWTToolkitHandler

java.lang.Object
org.pushingpixels.trident.swt.SWTToolkitHandler

All Implemented Interfaces:
  `UIToolkitHandler`

public class SWTToolkitHandler extends Object implements UIToolkitHandler

## Constructor Summary

Constructors
Constructor
Description
`SWTToolkitHandler()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isHandlerFor(Object mainTimelineObject)`
`boolean`
`isInReadyState(Object mainTimelineObject)`
`void`
`runOnUIThread(Object mainTimelineObject, Runnable runnable)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SWTToolkitHandler

public SWTToolkitHandler()

## Method Details

### isHandlerFor

public boolean isHandlerFor(Object mainTimelineObject)

Specified by:
  `isHandlerFor` in interface `UIToolkitHandler`

### isInReadyState

public boolean isInReadyState(Object mainTimelineObject)

Specified by:
  `isInReadyState` in interface `UIToolkitHandler`

### runOnUIThread

public void runOnUIThread(Object mainTimelineObject, Runnable runnable)

Specified by:
  `runOnUIThread` in interface `UIToolkitHandler`